/************************************************************************/
/*									*/
/*	DV-GLUE		DESQview and DESQview/X Function Library	*/
/*			(c) Copyright 1992 Ralf Brown			*/
/*			All Rights Reserved.				*/
/*									*/
/*	File TVAPI.H	DV-GLUE 1.0x compatibility definitions		*/
/*									*/
/************************************************************************/
/* LastEdit: 12/20/92							*/

#ifndef __TVAPI_H
#define __TVAPI_H


#ifndef __DVGLUE_H
#include "dvglue.h"
#endif

/***********************************************************/
/* functions which have been renamed                       */
/***********************************************************/

#define TVapi_kmouse	DVapi_kmouse
#define TVapp_free	DVapp_free
#define TVapp_goback	DVapp_goback
#define TVapp_gofore	DVapp_gofore
#define TVapp_hide	DVapp_hide
#define TVapp_new	DVapp_new
#define TVapp_show	DVapp_show
#define TVapp_start	DVapp_start
#define TVapp_suspend	DVapp_suspend
#define TVbegincrit	DVcrit_begin
#define TVcreate_window DVwin_create
#define TVendcrit	DVcrit_end
#define TVerrormsg	DVerrormsg
#define TVfld_altmode	DVfld_altmode
#define TVfld_attr	DVfld_attr
#define TVfld_build_color  DVfld_build_color
#define TVfld_build_cursor DVfld_build_cursor
#define TVfld_build_entry  DVfld_build_entry
#define TVfld_build_header DVfld_build_header
#define TVfld_char	DVfld_char
#define TVfld_clear	DVfld_clear
#define TVfld_cursor	DVfld_cursor
#define TVfld_entry	DVfld_entry
#define TVfld_header	DVfld_header
#define TVfld_marker	DVfld_marker
#define TVfld_point	DVfld_point
#define TVfld_reset	DVfld_reset
#define TVfld_scroll	DVfld_scroll
#define TVfld_swrite	DVfld_swrite
#define TVfld_type	DVfld_type
#define TVfld_write	DVfld_write
#define TVforeonly	DVforeonly
#define TVfreebit	DVfreebit
#define TVgetbit	DVgetbit
#define TVgetbuf	DVgetbuf
#define TVinterrupt	DVtask_interrupt
#define TVisobj		DVisobj
#define TVkbd_clear	DVkbd_clear
#define TVkbd_close	DVkbd_close
#define TVkbd_clrflags	DVkbd_clrflags
#define TVkbd_free	DVkbd_free
#define TVkbd_getc	DVkbd_getc
#define TVkbd_messages	DVkbd_messages
#define TVkbd_new	DVkbd_new
#define TVkbd_open	DVkbd_open
#define TVkbd_read	DVkbd_read
#define TVkbd_setesc	DVkbd_setesc
#define TVkbd_setflags	DVkbd_setflags
#define TVkbd_status	DVkbd_status
#define TVkbd_write	DVkbd_write
#define TVkbdof		DVkbd_of
#define TVlocate	DVlocate
#define TVlock		DVlock
#define TVmbx_clear	DVmbx_clear
#define TVmbx_close	DVmbx_close
#define TVmbx_eof	DVmbx_eof
#define TVmbx_find	DVmbx_find
#define TVmbx_free	DVmbx_free
#define TVmbx_name	DVmbx_name
#define TVmbx_new	DVmbx_new
#define TVmbx_open	DVmbx_open
#define TVmbx_sender	DVmbx_sender
#define TVmbx_size	DVmbx_size
#define TVmbx_status	DVmbx_status
#define TVmbx_write	DVmbx_write
#define TVmbxof		DVmbx_of
#define TVmykbd		DVmykbd
#define TVmymbx		DVmymbx
#define TVmyobq		DVmyobq
#define TVmytask	DVmytask
#define TVmywindow	DVmywindow
#define TVnosound	DVnosound
#define TVobject	DVobject_handle
#define TVobq_add	DVobq_add
#define TVobq_clear	DVobq_clear
#define TVobq_close	DVobq_close
#define TVobq_open	DVobq_open
#define TVobq_read	DVobq_read
#define TVobq_remove	DVobq_remove
#define TVobq_size	DVobq_size
#define TVobq_status	DVobq_status
#define TVobqof		DVobq_of
#define TVostack	DVostack
#define TVpanel_apply	DVpanel_apply
#define TVpanel_close	DVpanel_close
#define TVpanel_data	DVpanel_data
#define TVpanel_dir	DVpanel_dir
#define TVpanel_free	DVpanel_free
#define TVpanel_new	DVpanel_new
#define TVpanel_open	DVpanel_open
#define TVpanel_size	DVpanel_size
#define TVpanel_status	DVpanel_status
#define TVpause		DVpause
#define TVposwin	DVposwin
#define TVptr_close	DVptr_close
#define TVptr_clrflags	DVptr_clrflags
#define TVptr_erase	DVptr_erase
#define TVptr_free	DVptr_free
#define TVptr_getscale	DVptr_getscale
#define TVptr_goto	DVptr_goto
#define TVptr_icon	DVptr_icon
#define TVptr_messages	DVptr_messages
#define TVptr_new	DVptr_new
#define TVptr_open	DVptr_open
#define TVptr_read	DVptr_read
#define TVptr_setflags	DVptr_setflags
#define TVptr_setscale	DVptr_setscale
#define TVptr_status	DVptr_status
#define TVputchar	DVputchar
#define TVqry_atread	DVqry_atread
#define TVqry_attr	DVqry_attr
#define TVqry_color	DVqry_color
#define TVqry_ctrl	DVqry_ctrl
#define TVqry_cursor	DVqry_cursor
#define TVqry_entry	DVqry_entry
#define TVqry_field	DVqry_field
#define TVqry_fieldsize	DVqry_fieldsize
#define TVqry_frame	DVqry_frame
#define TVqry_frattr	DVqry_frattr
#define TVqry_header	DVqry_header
#define TVqry_hidden	DVqry_hidden
#define TVqry_kmouse	DVqry_kmouse
#define TVqry_leave	DVqry_leave
#define TVqry_logattr	DVqry_logattr
#define TVqry_lsize	DVqry_lsize
#define TVqry_origin	DVqry_origin
#define TVqry_position	DVqry_position
#define TVqry_size	DVqry_size
#define TVqry_title	DVqry_title
#define TVqry_type	DVqry_type
#define TVreadmail	DVreadmail
#define TVredrawwin	DVredrawwin
#define TVsendmail	DVsendmail
#define TVsendmsg	DVsendmsg
#define TVsendmsg0	DVsendmsg0
#define TVsendmsg1	DVsendmsg1
#define TVsetbit	DVsetbit
#define TVsleep		DVsleep
#define TVsound		DVsound
#define TVspawnve	DVspawnve
#define TVtask_free	DVtask_free
#define TVtask_new	DVtask_new
#define TVtask_post	DVtask_post
#define TVtask_start	DVtask_start
#define TVtask_stop	DVtask_stop
#define TVtimer_begin	DVtimer_begin
#define TVtimer_close	DVtimer_close
#define TVtimer_elapsed	DVtimer_elapsed
#define TVtimer_free	DVtimer_free
#define TVtimer_len	DVtimer_len
#define TVtimer_new	DVtimer_new
#define TVtimer_set	DVtimer_set
#define TVtimer_start	DVtimer_start
#define TVtimer_status	DVtimer_status
#define TVtimer_stop	DVtimer_stop
#define TVtimer_wait	DVtimer_wait
#define TVunlock	DVunlock
#define TVustack	DVustack
#define TVwin_allow	DVwin_allow
#define TVwin_async	DVwin_async
#define TVwin_atread	DVwin_atread
#define TVwin_attach	DVwin_attach
#define TVwin_attr	DVwin_attr
#define TVwin_blanks	DVwin_blanks
#define TVwin_bottom	DVwin_bottom
#define TVwin_cancel	DVwin_cancel
#define TVwin_clear	DVwin_clear
#define TVwin_color	DVwin_color
#define TVwin_ctrl	DVwin_ctrl
#define TVwin_cursor	DVwin_cursor
#define TVwin_detach	DVwin_detach
#define TVwin_disallow	DVwin_disallow
#define TVwin_eof	DVwin_eof
#define TVwin_fill	DVwin_fill
#define TVwin_frame	DVwin_frame
#define TVwin_frattr	DVwin_frattr
#define TVwin_free	DVwin_free
#define TVwin_gotoxy	DVwin_gotoxy
#define TVwin_hcur	DVwin_hcur
#define TVwin_hide	DVwin_hide
#define TVwin_leave	DVwin_leave
#define TVwin_logattr	DVwin_logattr
#define TVwin_lsize	DVwin_lsize
#define TVwin_maxsize	DVwin_maxsize
#define TVwin_minsize	DVwin_minsize
#define TVwin_move	DVwin_move
#define TVwin_new	DVwin_new
#define TVwin_new	DVwin_new
#define TVwin_notify	DVwin_notify
#define TVwin_nread	DVwin_readn
#define TVwin_origin	DVwin_origin
#define TVwin_point	DVwin_point
#define TVwin_printf	DVprintf
#define TVwin_read	DVwin_read
#define TVwin_redraw	DVwin_redraw
#define TVwin_reorder	DVwin_reorder
#define TVwin_repattr	DVwin_repattr
#define TVwin_repchar	DVwin_repchar
#define TVwin_resize	DVwin_resize
#define TVwin_scroll	DVwin_scroll
#define TVwin_size	DVwin_size
#define TVwin_stream	DVwin_stream
#define TVwin_swrite	DVwin_swrite
#define TVwin_title	DVwin_title
#define TVwin_top	DVwin_top
#define TVwin_topsys	DVwin_topsys
#define TVwin_unhide	DVwin_unhide
#define TVwin_width	DVwin_width
#define TVwin_write	DVwin_write
#define TVwin_writea	DVwin_writea
#define TVwin_writeca	DVwin_writeca


#endif /* __TVAPI_H */

/* end of TVAPI.H */
